CVE-2018-14048

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue has been found in libpng 1.6.34. It is a SEGV in the function png_free_data in png.c, related to the recommended error handling for png_read_image.

References

http://packetstormsecurity.com/files/152561/Slackware-Security-Advisory-libpng-Updates.html

http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html

https://github.com/fouzhe/security/tree/master/libpng

https://github.com/glennrp/libpng/issues/238

https://seclists.org/bugtraq/2019/Apr/30

https://security.gentoo.org/glsa/201908-02

Details

Source: MITRE

Published: 2018-07-13

Updated: 2020-09-08

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
136109Photon OS 1.0: Openjdk11 PHSA-2020-1.0-0290NessusPhotonOS Local Security Checks
critical
136100Photon OS 3.0: Openjdk11 PHSA-2020-3.0-0084NessusPhotonOS Local Security Checks
critical
127560GLSA-201908-02 : libpng: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
124140Slackware 14.2 / current : libpng (SSA:2019-107-01)NessusSlackware Local Security Checks
high